# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.92.0"
name = "mpl-lang"
version = "0.4.1"
authors = [
    "Seoyoung Lee <seoyoung@axiom.co>",
    "Arne Bahlo <arne@axiom.co>",
    "Heinz Gies <heinz@axiom.co>",
    "Samuel Cristobal <samu@messy.page>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Axioms Metrics Processing Language"
homepage = "https://axiom.co"
documentation = "https://docs.axiom.co"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/axiomhq/mpl"

[features]
cli = [
    "dep:clap",
    "dep:ron",
    "dep:arborium",
    "miette/fancy",
]
clock = ["chrono/clock"]
default = [
    "bincode",
    "clock",
]
examples = []
playground = ["wasm"]
wasm = [
    "dep:wasm-bindgen",
    "dep:tsify",
    "dep:serde-wasm-bindgen",
]

[lib]
name = "mpl_lang"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[[bin]]
name = "mplc"
path = "src/bin/mplc.rs"
required-features = ["cli"]

[[bin]]
name = "mplstdlib"
path = "src/bin/mplstdlib.rs"
required-features = ["cli"]

[[test]]
name = "parse"
path = "tests/parse.rs"

[dependencies.arborium]
version = "2"
features = [
    "lang-ron",
    "lang-json",
]
optional = true
default-features = false

[dependencies.bincode]
version = "2"
features = ["serde"]
optional = true

[dependencies.chrono]
version = "0.4"
features = [
    "serde",
    "std",
]
default-features = false

[dependencies.clap]
version = "4"
features = ["derive"]
optional = true

[dependencies.miette]
version = "7.6.0"
features = ["serde"]

[dependencies.ordered-float]
version = "5"

[dependencies.pest]
version = "2.8.6"

[dependencies.pest_derive]
version = "2.8.6"

[dependencies.regex]
version = "1"

[dependencies.ron]
version = "0.12"
optional = true

[dependencies.serde]
version = "1"

[dependencies.serde-wasm-bindgen]
version = "0.6.5"
optional = true

[dependencies.serde_json]
version = "1"

[dependencies.serde_regex]
version = "1"

[dependencies.strsim]
version = "0.11.1"

[dependencies.strumbra]
version = "0.6"
features = ["serde"]

[dependencies.thiserror]
version = "2"

[dependencies.tsify]
version = "0.5.6"
features = ["js"]
optional = true

[dependencies.wasm-bindgen]
version = "0.2.108"
optional = true

[dev-dependencies.test-case]
version = "3"

[profile.wasm-release]
opt-level = "z"
lto = true
codegen-units = 1
panic = "abort"
inherits = "release"
strip = true
